# Contributing to Sign in With Phone Number for Magento 2

This contribution model has contributors maintaining their own fork of the **Sign in With Phone Number** repository.
The forked repository is then used to submit a request to the base repository to “pull” a set of changes.
For more information on pull requests please refer to [GitHub Help](https://help.github.com/articles/about-pull-requests/).

Contributions can take the form of new components or features, changes to existing features, tests, documentation (such as developer guides, user guides, examples, or specifications), bug fixes or optimizations.

We will review all issues and contributions submitted by the community of developers in the first in, first out order.
During the review we might require clarifications from the contributor.
If there is no response from the contributor within two weeks, the pull request will be closed.

## Contribution requirements

1. Contributions must adhere to the [Magento coding standards](https://devdocs.magento.com/guides/v2.3/coding-standards/bk-coding-standards.html).
2. Pull requests (PRs) must be accompanied by a meaningful description of their purpose. Comprehensive descriptions increase the chances of a pull request being merged quickly and without additional clarification requests.
3. Commits must be accompanied by meaningful commit messages. Please see the [Pull Request Template](https://github.com/magestat/magento2-sign-in-with-phone-number/blob/master/.github/PULL_REQUEST_TEMPLATE.md) for more information.
4. PRs which include bug fixes must be accompanied with a step-by-step description of how to reproduce the bug.
3. PRs which include new logic or new features must be submitted along with Unit/integration test coverage
4. For larger features or changes, please [open an issue](https://github.com/magestat/magento2-sign-in-with-phone-number/issues) to discuss the proposed changes prior to development. This may prevent duplicate or unnecessary effort and allow other contributors to provide input.
5. All automated tests must pass (all builds on [Travis CI](https://travis-ci.org/magestat/magento2-sign-in-with-phone-number) must be green).

## Contribution process

If you are a new GitHub user, we recommend that you create your own [free github account](https://github.com/signup/free).
This will allow you to collaborate with our repository, fork the **Sign in With Phone Number** project and send pull requests.

1. Search current [listed issues](https://github.com/magestat/magento2-sign-in-with-phone-number/issues) (open or closed) for similar proposals of intended contribution before starting work on a new contribution.
2. Create and test your work.
3. Fork the **Sign in With Phone Number** repository and when you are ready to send us a pull request – follow the [Create A Pull Request instructions](https://github.com/magestat/magento2-sign-in-with-phone-number/blob/master/.github/PULL_REQUEST_TEMPLATE.md).
4. Once your contribution is received we will review the contribution and collaborate with you as needed.

## Code of Conduct

Please note that this project is released with a Contributor Code of Conduct. We expect you to agree to its terms when participating in this project.
The full text is available in the repository [Wiki](https://github.com/magestat/magento2-sign-in-with-phone-number/blob/develop/.github/CODE_OF_CONDUCT.md).
